%bcond_with frei0r
%define ver_main %(echo %{version} | awk -F. '{print $1"."$2}')

Summary:        Collection of GStreamer video effects
Name:           gnome-video-effects
Version:        0.6.0
Release:        1%{?dist}
License:        GPLv2
URL:            https://wiki.gnome.org/Projects/GnomeVideoEffects
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{ver_main}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gettext
%if %{with frei0r}
Requires:       frei0r-plugins
%endif

Buildarch:      noarch


%description
This package provides a collection of GStreamer effects to be used in different GNOME Modules.


%prep
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%files
%license COPYING
%doc AUTHORS NEWS README
%{_datadir}/pkgconfig/gnome-video-effects.pc
%{_datadir}/gnome-video-effects


%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.6.0-1
- Upgrade to version 0.6.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Wang Guodong <gordonwwang@tencent.com> - 0.5.0-1
- package init.
